# Interface PromiseOptions

interface PromiseOptions {
Promise: number;
Rejected: number;
Resolved: number;
Results: boolean;
Then: number;
client: ApolloClient<any>;
id: number;
timeout?: number;
}

- Defined in work/deeplinks/deeplinks/imports/promise.ts:13

#####
Index

### Properties

Promise
Rejected
Resolved
Results
Then
client
id
timeout?

## Properties

### Promise

Promise: number

- Defined in work/deeplinks/deeplinks/imports/promise.ts:18

### Rejected

Rejected: number

- Defined in work/deeplinks/deeplinks/imports/promise.ts:20

### Resolved

Resolved: number

- Defined in work/deeplinks/deeplinks/imports/promise.ts:19

### Results

Results: boolean

- Defined in work/deeplinks/deeplinks/imports/promise.ts:21

### Then

Then: number

- Defined in work/deeplinks/deeplinks/imports/promise.ts:17

### client

client: ApolloClient<any>

- Defined in work/deeplinks/deeplinks/imports/promise.ts:16

### id

id: number

- Defined in work/deeplinks/deeplinks/imports/promise.ts:14

### `Optional` timeout

timeout?: number

- Defined in work/deeplinks/deeplinks/imports/promise.ts:15

Generated using TypeDoc